Bug 83953 - TRACK CHANGES: Changing the default behaviour of accept and reject change
Summary: TRACK CHANGES: Changing the default behaviour of accept and reject change
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:4.4.0
Keywords:
Depends on:
Blocks: Track-Changes
  Show dependency treegraph
 
Reported: 2014-09-16 21:46 UTC by Yousuf Philips (jay)
Modified: 2016-09-08 15:29 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
track changes sample (10.84 KB, application/vnd.oasis.opendocument.text)
2014-09-21 18:38 UTC, Yousuf Philips (jay)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2014-09-16 21:46:12 UTC
By default, 'Accept Change' (.uno:AcceptTracedChange) and 'Reject Change' (.uno:RejectTracedChange) only accept or reject the selected change, but nothing more and i think that their default behaviour should also execute .uno:NextTrackedChange, so that the next track change is selected, similar to how it works in the 'Accept or Reject' dialog (.uno:AcceptTrackedChanges).

If this is not preferable, then i'd like to suggest that two addition uno entries be created - .uno:AcceptTracedChangeNext and .uno:RejectTracedChangeNext.
Comment 1 Yousuf Philips (jay) 2014-09-21 18:38:18 UTC
Created attachment 106612 [details]
track changes sample
Comment 2 Commit Notification 2014-09-21 19:34:17 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1deaa9d304239b2d603cc85bbcb8b8f50d8714da

fdo#83953 Jump to next change when accepting or rejecting a change



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Mike §chinagl 2014-12-20 22:01:53 UTC
This bug fix comes with LibreOffice 4.4 (release notes https://wiki.documentfoundation.org/ReleaseNotes/4.4) 


The “Accept Change” and “Reject Change” commands now automatically jump to the next change.
Comment 4 g2382730 2015-04-13 15:40:02 UTC
I'm doing translation work, and I'm using Track changes quite a lot, but in my document, the change can be somewhat far away from each other, and even after accepting a change, I usually still need to comb through the text, so this feature sometimes forces me to scroll up the document again. I propose that this feature be toggleable and not forced on all users.
Comment 5 Joel Madero 2015-04-13 20:26:30 UTC
Please do not reopen a change just because you disagree with it - this is not enough to override the decision. There will always be some users that like default behavior changes and some that do not.

What you might want to do is create a NEW enhancement request that adds new buttons for "Accept Single Change." That is a fine enhancement request.
Comment 6 Yousuf Philips (jay) 2015-04-13 20:50:14 UTC
@Ph.D: Its unfortunate that the change isnt to your liking, so i'd suggest you stick with 4.3 for the time being. I've submitted an enhancement (bug 90597) to create new commands to provide the old behaviour.
Comment 7 Julien Nabet 2016-09-07 19:05:30 UTC
Samuel: following https://cgit.freedesktop.org/libreoffice/core/commit/?id=583aec2552ed7f8eb22ea7ab7fff7d42e09a506d, should we reopen this one?
Comment 8 Samuel Mehrbrodt (CIB) 2016-09-07 19:30:05 UTC
(In reply to Julien Nabet from comment #7)
> Samuel: following
> https://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=583aec2552ed7f8eb22ea7ab7fff7d42e09a506d, should we reopen this one?

No, we shouldn't change the current behavior. We can open a new bug to create a command that has the behavior mentioned in this bug.
Comment 9 Yousuf Philips (jay) 2016-09-08 15:29:47 UTC
Bug opened in bug 101977.